%define packname %(echo %{name} | sed -e 's/^R-//')
%global packrel 1
# Pick one of these (_datadir for noarch, _libdir for others), remove the other
%global rlibdir %{_datadir}/R/library
#global rlibdir %{_libdir}/R/library

Name:           R-qqman
Version:        0.1.2
Release:        1%{?dist}
Summary:        Q-Q and manhattan plots for GWAS data

License:        GPL
URL:            http://cran.r-project.org/web/packages/%{packname}/
Source0:        ftp://cran.r-project.org/pub/R/contrib/main/%{packname}_%{version}.tar.gz

BuildRequires:  R-devel
BuildRequires:  tex(latex)
Requires(post): R-core
Requires(postun): R-core

%description
An R package for creating Q-Q and manhattan plots from GWAS results.


%prep
%setup -q -c -n %{packname}


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{rlibdir}
%{_bindir}/R CMD INSTALL -l $RPM_BUILD_ROOT%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f $RPM_BUILD_ROOT%{rlibdir}/R.css


%check
# skip the check - too hard to satisfy all dependencies for now
#%{_bindir}/R CMD check %{packname}


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/html
%doc %{rlibdir}/%{packname}/DESCRIPTION
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/data
%{rlibdir}/%{packname}/help

%changelog
